(function( $ ) {
	'use strict';
	$(document).on('click', '.wp-post-likes-button', function() {
		var button = $(this);
		var post_id = button.attr('data-post-id');
		var security = button.attr('data-nonce');
		var iscomment = button.attr('data-iscomment');
		var allbuttons;
		if ( iscomment === '1' ) { /* Comments can have same id */
			allbuttons = $('.wp-post-likes-comment-button-'+post_id);
		} else {
			allbuttons = $('.wp-post-likes-button-'+post_id);
		}
		var loader = allbuttons.next('#wp-post-likes-loader');
		if (post_id !== '') {
			$.ajax({
				type: 'POST',
				url: wp_post_likes.ajaxurl,
				data : {
					action : 'wp_post_likes_process',
					post_id : post_id,
					nonce : security,
					is_comment : iscomment,
				},
				beforeSend:function(){
					loader.html('&nbsp;<div class="wp-post-likes-loader">Loading...</div>');
				},	
				success: function(response){
					var icon = response.icon;
					var count = response.count;
					allbuttons.html(icon+count);
					if(response.status === 'unliked') {
						var like_text = wp_post_likes.like;
						allbuttons.prop('title', like_text);
						allbuttons.removeClass('wp-post-likes-liked');
					} else {
						var unlike_text = wp_post_likes.unlike;
						allbuttons.prop('title', unlike_text);
						allbuttons.addClass('wp-post-likes-liked');
					}
					loader.empty();					
				}
			});
			
		}
		return false;
	});
})( jQuery );
